# gcp::ZoomDlg Class Reference

`#include <gcp/zoomdlg.h>`

Inheritance diagram for gcp::ZoomDlg:

List of all members.

## Public Member Functions

| ZoomDlg (gcp::Document *pDoc)
virtual | ~ZoomDlg ()
void | OnFocusIn ()

## Detailed Description

The zoom level dialog.

Definition at line 39 of file zoomdlg.h.

## Constructor & Destructor Documentation

gcp::ZoomDlg::ZoomDlg | ( | gcp::Document * | pDoc | ) |

Parameters:

  | pDoc | the document to zoom.

Constructs a dialog to change the zoom level for pDoc.

virtual gcp::ZoomDlg::~ZoomDlg | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

void gcp::ZoomDlg::OnFocusIn | ( |  | ) |

Called by the framework when the dialog gets the focus and update the zoom level which might have changed.

The documentation for this class was generated from the following file:

- zoomdlg.h